Skip to main content
POST
/
imports
/
github
/
projects
Import projects from GitHub
curl --request POST \
  --url https://kan.bn/api/v1/imports/github/projects \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "projectIds": [
    "<string>"
  ],
  "workspacePublicId": "<string>"
}
'
{
  "projectsImported": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.kan.bn/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
projectIds
string[]
required
workspacePublicId
string
required
Minimum string length: 12

Response

Successful response

projectsImported
number
required